Results 1 to 4 of 4

Thread: Problem with BeEF with Kali Rolling Release

  1. #1
    Join Date
    2016-Mar
    Posts
    1

    Unhappy Problem with BeEF with Kali Rolling Release

    So I got this Kali Rolling Release and it was fine, I could run BeEF until I updated and upgraded it. After I did system update, now I can't run BeEF. It shows this error:

    root@Anonymous:/usr/share/beef-xss# ./beef
    /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- v8/init (LoadError)
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/vendor_ruby/v8.rb:4:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/vendor_ruby/therubyracer.rb:1:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/share/beef-xss/core/loader.rb:23:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from ./beef:32:in `<main>'

    Any ideas? Because I've tried reinstalling ruby 2.3 and problem still persist.

  2. #2
    Join Date
    2016-Apr
    Posts
    1
    Did you ever come up with a fix for this issue?

  3. #3
    Join Date
    2016-Apr
    Posts
    3
    Hello yes the problem appears when ruby is updated to 2.3.0:

    the solution : there is 2 way to do it

    solution 1 :
    solve the authentification problem

    leafpad /etc/beef-xss/config.yaml

    and change of red lines:
    # You may override default extension configuration parameters here
    extension:
    requester:
    enable: true
    proxy:
    enable: true
    key: "beef_key.pem"
    cert: "beef_cert.pem"
    metasploit:
    enable: false
    social_engineering:
    enable: true
    evasion:
    enable: false
    console:
    shell:
    enable: true
    ipec:
    enable: true
    # this is still experimental..
    dns:
    enable: false
    # this is still experimental..
    dns_rebinding:
    enable: false
    save the file and start beef
    it's ok

    solution 2 : solve the hockeed browser's problem

    the second solution is what I did
    Why?????
    although,i solved the first problem, there is another one with hooked browser
    so i do like this
    1) do the first step and also change this one else:
    # db_file is only used for sqlite
    db_file: "db/beef.db" (we just add the path of the db directory in config file: /etc/beef-xss/config.yaml) if you do not have it by default

    2) git clone https://github.com/beefproject/beef.git
    3) go to /usr/share/beef-xss and delete all except : db directory and config.yaml
    4) go to /root/beef and copy all the contents in /usr/share/beef-xss
    5) open a terminal and do
    apt-get install libsqlite3-dev
    cd /usr/share/beef-xss
    bundle install
    6) after install all the gemsfile run beef from /usr/share/beef-xss to generate a beef.db like this
    cd /usr/share/beef-xss
    ./beef
    authenticate to the beef interface and leave

    Now you can run beef from the favorite menu
    enjoy
    Last edited by ziflar; 2016-04-21 at 15:14.

  4. #4
    Join Date
    2016-Apr
    Posts
    3
    THE BEST WAY TO RESOLVE THIS PROBLEM

    1)
    Code:
    rm -r /usr/share/beef-xss
    2)
    Code:
    rm -r /etc/beef-xss/config.yaml
    3)
    Code:
    cd /usr/share/
    4) 5)
    Code:
     mv beef beef-xss
    6)
    Code:
    cd beef-xss
    7
    Code:
    leafpad config.yaml
    edit:
    # db_file is only used for sqlite
    db_file: "db/beef.db"
    save
    8)
    Code:
    mv /usr/share/beef-xss/config.yaml /etc/beef-xss/
    9)
    Code:
    ln -s /etc/beef-xss/config.yaml /usr/share/beef-xss/config.yaml
    10)
    Code:
    ln -s /var/lib/beef-xss/ /usr/share/beef-xss/db
    11)
    Code:
    apt-get install libsqlite3-dev
    12)
    Code:
    bundle install
    13)
    Code:
    service beef-xss start
    14)
    Code:
    service beef-xss force-reload
    15)
    Code:
    beef-xss
    it's ok
    Last edited by maiki; 2016-08-27 at 10:51. Reason: Remove YouTube link

Similar Threads

  1. Kali 2 rolling release + Crouton + Gnome ?
    By Onkelpoe in forum ARM Archive
    Replies: 0
    Last Post: 2016-06-24, 22:44
  2. Issues with BeEF in Kali rolling
    By mkay in forum General Archive
    Replies: 1
    Last Post: 2016-05-15, 21:59
  3. BeEF Broken in Rolling Release?
    By jqreator in forum General Archive
    Replies: 7
    Last Post: 2016-05-06, 22:45

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •